<?php

namespace Planaday\Config\Booking\Form;

use Planaday\Config\Booking\BookingOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum BookingFormOptionsEnum: string implements OptionGroupEnum{
	case BOOKING_FORM_TITLE = 'BOOKING_FORM_TITLE';

	case STUDENT = 'STUDENT';

	case COMPANY = 'COMPANY';

	case ADDRESS = 'ADDRESS';

	case MATERIALS = 'MATERIALS';

	case ASK_API_ATTRIBUTES = 'ASK_API_ATTRIBUTES';
	case STARTED_COURSE_BOOKABLE = 'STARTED_COURSE_BOOKABLE';
	case SHOW_VOUCHER_INPUT = 'SHOW_VOUCHER_INPUT';

	public static function getClassName(): string {
		return FormSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingOptionsEnum::BOOKING_FORM;
	}
}